Skip to content

Get assessment status ​

Returns the current status and available result data for a candidate assessment.

GEThttps://app.smalltalk2.me/api/integration/test_status

Query parameters ​

ParameterTypeRequiredDescription
idstringrequiredinterview_id returned by send_test.
additional_fieldsstringoptionalComma-separated names of additional report fields to return.

Available additional_fields values:

  • detailed_scores
  • strength_weaknesses
  • problem_statuses
  • problem_titles
  • smalltalk_score
  • proctoring_artifacts

See Additional fields for their response shapes.

Example request ​

bash
curl 'https://app.smalltalk2.me/api/integration/test_status?id=o2jn3r&additional_fields=strength_weaknesses,smalltalk_score' \
  -H 'Authorization: Bearer <token>'

Response ​

PropertyTypeAvailabilityDescription
statusstringalwaysCurrent assessment state.
expiration_timestampstringalwaysTime when the assessment expires.
started_timestampstringcompleted assessmentOptional. Time when the candidate started the assessment.
finished_timestampstringcompleted assessmentOptional. Time when the candidate finished the assessment.
report_urlstringcompleted assessmentURL to the candidate's SmallTalk report page.
scorestringcompleted assessmentCandidate performance score.
additional_fieldsobjectalwaysRequested result fields. It is empty before completion and when no supported fields are requested.
audio_recordingsstring[] or nullalwaysSigned links to the candidate's audio recordings after completion; null before completion.

Timestamps use RFC 3339, for example:

text
2009-11-10T23:00:00Z

The completed score uses one of these values:

Undefined, A1, A1p, A2, A2p, B1, B1p, B2, B2p, C1, C1p, C2, C2p

Status values ​

ValueMeaning
sentThe assessment has been created and has not been submitted.
expiredThe assessment link has expired and is no longer available.
canceledThe organization canceled the assessment before submission.
processingThe assessment was submitted and the report is not ready.
completedThe report is ready.

Example response ​

json
{
  "status": "completed",
  "expiration_timestamp": "2026-09-05T12:00:00Z",
  "started_timestamp": "2026-08-26T09:00:00Z",
  "finished_timestamp": "2026-08-26T09:30:00Z",
  "report_url": "https://app.smalltalk2.me/shared/o3rjgn",
  "score": "B2",
  "additional_fields": {
    "strength_weaknesses": {
      "strengths": [
        "strength1",
        "strength2"
      ],
      "weaknesses": [
        "weakness1",
        "weakness2"
      ]
    },
    "smalltalk_score": 71
  },
  "audio_recordings": [
    "https://signed-storage-url.example/audio-recording"
  ]
}

SmallTalk2Me documentation